/*------------------------------------*\
  block
\*------------------------------------*/

.block {
  @extend %padding;
}
.block__inner {
  background-color: $body-color;
}
.block__link {
  display: block;
  @include ts-link($base-color);
}
.block__media + .block__text {
  margin-top: $spacing-xs;
}
.block__title {
  @extend .ts-body;
  text-transform: uppercase;
}
.block:not(.block--event) .block__media {
  @supports (object-fit: cover) {
    @include aspect-ratio(15, 10);
    position: relative;
    img {
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0; right: 0; bottom: 0; left: 0;
      object-fit: cover;
    }
  }
}
.block__time,
.block__location,
.block__category {@extend .ts-label;}
.block .socials {padding: 0;}


// show
.block--show {
  .block__media {position: relative;}
  .block__title {margin-bottom: $spacing-xxs;}
  .player-trigger {
    cursor: pointer;
    position: absolute;
    bottom: 0; left: 0;
    width: 100px;
    height: 30px;
    background: url('images/icon-play.svg') $base-color no-repeat center center;
  }
}
// show & agendas & video
.block--show,
.block--agenda,
.block--video {
  .block__text {
    display: flex;
    flex-flow: row wrap;
    .block__link {flex: 1 100%;}
    .block__time {margin-right: $grid-gutter-width/2;}
  }
}

// event
.block--event {
  .block__inner {
    position: relative;
    @include media('>=sm') {
      display: flex;
      .block__media,
      .block__text {
        flex: 1 50%;
      }
      .block__text {
        padding-left: $grid-gutter-width/2;
        margin-top: 0;
      }
    }
  }
  .block__title {
    margin-bottom: $spacing-sm;
  }
  .block__excerpt {
    margin-top: $spacing-sm;
  }
  .block__category {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    background-color: $body-color;
    padding-right: .2em;
    padding-bottom: .1em;
  }
  .block__excerpt p {
    @extend .ts-body;
  }
}

// video
.block--video {
  .video-icon {
    position: absolute;
    top: 0; right: 0; bottom: 0; left: 0;
    background: url('images/icon-play.svg') no-repeat center center;
    background-size: calc(100%/3);
  }
}

// connect
.block--connect {
  .block__text {padding: $grid-gutter-width/2;}
  .block__inner, {border: $border-width-sm solid $blue;}
  .block__title {
    @extend .ts-title;
    text-transform: none;
    &:not(:last-child) {margin-bottom: $spacing-xs;}
  }
  .form,
  .socials {
    margin-bottom: $spacing-sm;
  }
  color: $blue;
  .icon {background-color: $blue;}
  .form .input-group {border-color: $blue;}
  .form input {color: $blue;}
}